Mac App Store

Oude Mac-installatiebestanden en installatie-cd’s werken niet: zo los je het op

Wil je software installeren op de Mac, maar krijg je een melding van een verlopen certificaat? Met deze twee oplossingen kun je meteen aan de slag!

Mac App Store
Heb je een installatiebestanden van software, die recent niet meer is bijgewerkt, dan kan je tegen problemen met verlopen certificaten aanlopen. Ook bij installatie-cd’s voor OS X kun je tegen problemen aanlopen. Vooral Apple’s Worldwide Developer Certificate dat in februari 2016 afliep leidde tot nogal wat foutmeldingen. Het is de bedoeling dat ontwikkelaars hun software bijwerken met een nieuw certificaat. Maar wat doe je bij software die al jarenlang niet meer is vernieuwd?

Oude installer OS X

Voorbeeld: oude apparatuur

Stel, je hebt apparatuur van een paar jaar oud, bijvoorbeeld een scanner. Die werkte tot nu toe probleemloos, maar als je op een later moment naar een andere Mac overstapt wil je die oude scanner misschien nog blijven gebruiken. Je hebt de installatiebestanden en de drivers bewaard. Maar je hebt er niets meer aan. Datzelfde probleem doet zich voor als je installatiebestanden voor OS X hebt gedownload.

Oplossing 1: nieuwe installer downloaden

Het hoeft trouwens niet om extreem oude software te gaan. Bij alle OS X-installers die vóór 14 februari zijn gedownload (dus ook die van El Capitan), heb je kans dat het niet meer werkt. Vooral bij software die minder frequent wordt onderhouden.

De oplossing is het ophalen van een nieuw installatiebestand:

  1. Wis het oude installatiebestand van OS X. Ze hebben namen als ‘Install OS X El Capitan’ en vergelijkbaar.
  2. Open de Mac App Store en ga naar het tabblad Aankopen.
  3. Log eventueel in om je aankopen te zien.
  4. Blader naar het installatiebestand van OS X El Capitan (of een eerdere versie).
  5. Dit installatiebestand is voorzien van een nieuw certificaat dat op 7 februari 2023 afloopt.

Heb je een installatie-cd voor OS X gemaakt, dan zul je die helaas wel weer opnieuw moeten maken.

Oplossing 2: datum terugzetten

Stap je over naar een nieuwe computer, dan kun je daarop niet altijd oudere OS X-versies op installeren. Op een 27-inch iMac met Retina-scherm kun je bijvoorbeeld geen OS X Lion (10.7) installeren, omdat deze niet geschikt is voor de nieuwere Macs. Toch kun je het installeren, namelijk door de datum aan te passen.

OS X te oude versie

Als je tijdens het installeren van OS X een melding krijgt zoals hierboven, dan los je dat als volgt op:

  1. Kies in de OS X Installer voor Hulpprogramma’s > Terminal.
  2. Voer in: ‘date 0201010116’ (zonder aanhalingstekens) en druk op Enter.
  3. Sluit de Terminal af en ga door met de installatie.

De datum wordt daarmee teruggezet naar 1 februari 2016, dus voordat het certificaat afliep. Je kunt daarna doorgaan met de installatie. Via Systeemvoorkeuren > Datum en tijd zet je daarna de datum weer terug.

Er zijn ook apps die door het verlopen certificaat niet meer werken. Is er geen nieuw installatiebestand voorhanden, dan zou je gebruik kunnen maken van deze tip of de tool van Greg Neagle.

Via: Tidbits

Suggestie hoe we dit artikel kunnen verbeteren? Laat het ons weten!

Informatie

Laatst bijgewerkt 4 maart 2016, 15:24
Categorie Mac & macOS
Onderwerp mac

Reacties zijn gesloten voor dit artikel.